Bug 14343 - Links to results pages don't work in receive shipment list
Summary: Links to results pages don't work in receive shipment list
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Acquisitions (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Koha Team Lyon 3
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-06-05 14:12 UTC by Koha Team Lyon 3
Modified: 2016-06-21 21:38 UTC (History)
7 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Numbered links have incorrect url (31.06 KB, image/png)
2015-06-05 14:12 UTC, Koha Team Lyon 3
Details
Bug 14343 Incorrect links to results pages in Receive shipment list (1.78 KB, patch)
2015-06-05 14:18 UTC, Koha Team Lyon 3
Details | Diff | Splinter Review
Bug 14343 Incorrect links to results pages in Receive Shipment List (2.92 KB, patch)
2015-06-05 14:48 UTC, M. Tompsett
Details | Diff | Splinter Review
Bug 14343 Incorrect links to results pages in Receive Shipment List (2.99 KB, patch)
2015-09-04 13:54 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 14343: Remove the DT pagination (1.02 KB, patch)
2015-09-04 13:54 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Koha Team Lyon 3 2015-06-05 14:12:23 UTC
Created attachment 39905 [details]
Numbered links have incorrect url

Links to result pages don't work in Receive Shipment List (but fortunately, Next and Previous buttons work) It's because the booksellerid is not furnished in the url.

Test Plan :
1) Go to Acquisitions module, enter a bookseller name that you know you can get many page of invoices for and search for it.

2) click on Receive shipment button.

3) On bottom of the first results page, click on page number 2 link. (cf joined screencast)

You'll see that the results include invoices from other booksellerid. Indeed, I suppose that you get results from all booksellerid.

Intall patch and redo 3 steps.
Comment 1 Koha Team Lyon 3 2015-06-05 14:18:31 UTC Comment hidden (obsolete)
Comment 2 M. Tompsett 2015-06-05 14:48:43 UTC Comment hidden (obsolete)
Comment 3 M. Tompsett 2015-06-05 14:51:46 UTC
This applies cleanly as far back at 3.8.x
Comment 4 Katrin Fischer 2015-06-06 13:33:43 UTC
I think we removed this kind of double paging at some point after introducing the datatable, does this appear in master?
Comment 5 Katrin Fischer 2015-06-06 13:34:31 UTC
Mark write he didn't follow the test plan - please, can someone check in the GUI?
Comment 6 Koha Team Lyon 3 2015-06-08 12:38:30 UTC
I confirm that the double paging (one from datatable and another in html) still appears in Master but the datatable one does'nt work either (next and previous buttons are disabled,show entries does not get far more than 20 results)
Comment 7 Koha Team Rennes 2 2015-09-04 09:09:25 UTC
Hi,

This patch applies on 3.16 but there is a two page gap between the result numbers and the pages actually displayed (for example, clicking on number 10 will lead to page 8). Don't know if this problem has already been reported somewhere else.

Koha Team Rennes 2
Comment 8 Jonathan Druart 2015-09-04 13:54:22 UTC
Created attachment 42402 [details] [review]
Bug 14343 Incorrect links to results pages in Receive Shipment List

Numbered links have incorrect url. Links to result pages
don't work in Receive Shipment List (but fortunately, Next
and Previous buttons work) It's because the booksellerid is
not furnished in the url.

Test Plan :
1) Go to Acquisitions module, enter a bookseller name that you
   know you can get many page of invoices for and search for it.

2) click on Receive shipment button.

3) On bottom of the first results page, click on page number 2
   link. (cf joined screencast)

You'll see that the results include invoices from other
booksellerid. Indeed, I suppose that you get results from all booksellerid.

Intall patch and redo 3 steps.

NOTE: I did not follow this test plan.
      I read the acqui/parcels.pl code.
      The template parameter numbers is assigned in a function which has
      no reference to booksellerid at all!
      Additionally, the booksellerid is set directly elsewhere.
      It is also strange that the booksellerid references before and after
      this loop do not use the numbers.booksellerid, but just booksellerid.
      The change from numbers.booksellerid to booksellerid is correct!

Signed-off-by: Mark Tompsett <mtompset@hotmail.com>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 9 Jonathan Druart 2015-09-04 13:54:25 UTC
Created attachment 42403 [details] [review]
Bug 14343: Remove the DT pagination

It does not make sense to have 2 paginations here.

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 10 Tomás Cohen Arazi 2015-09-07 15:00:00 UTC
Patches pushed to master.

Thanks Lyon3 Team!
Comment 11 Chris Cormack 2015-09-22 16:39:22 UTC
Pushed to 3.20.x will be in 3.20.4